## org.apache.axis
Interface WSDDEngineConfiguration

All Superinterfaces:
  EngineConfiguration

All Known Implementing Classes:
  FileProvider, WSDDDeployment

public interface WSDDEngineConfiguration
extends EngineConfiguration

Extends EngineConfiguration interface to provide hook to internal WSDD deployment info.

Author:
  Richard Sitze (rsitze@apache.org), Glyn Normington (glyn@apache.org), Glen Daniels (gdaniels@macromedia.com)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Method Summary
`WSDDDeployment` `getDeployment()`

Methods inherited from interface org.apache.axis.EngineConfiguration
`configureEngine, getDeployedServices, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getService, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, writeEngineConfig`

Method Detail

### getDeployment

    public WSDDDeployment getDeployment()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.